cascading.tuple.io

## Interface TupleOutputStream.ElementWriter

- Enclosing class:
    TupleOutputStream

      public static interface TupleOutputStream.ElementWriter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `write(DataOutputStream outputStream, Class<?> type, Object object)`
    `void` | `write(DataOutputStream outputStream, Object object)`

- - ### Method Detail

    - #### write

          void write(DataOutputStream outputStream,
                   Object object)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          void write(DataOutputStream outputStream,
                   Class<?> type,
                   Object object)
                     throws IOException

      Throws:
        `IOException`

    - #### close

          void close()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.